summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author stormtracknole <stormtracknole@gmail.com>2010-05-13 00:59:45 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:59:45 +0200
commitfc4efde33f8bb59024143e2743ebb817619be39f (patch)
treec0f2575cc45b615460dab3af5076ea647143a1ef /multimedia
parent9d62210597e3f6eee8d9496d9ce11a3fe987d3e2 (diff)
downloadslackbuilds-fc4efde33f8bb59024143e2743ebb817619be39f.tar.gz
slackbuilds-fc4efde33f8bb59024143e2743ebb817619be39f.tar.xz
multimedia/mlt: Added to 13.0 repository
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/mlt/README10
-rw-r--r--multimedia/mlt/doinst.sh8
-rw-r--r--multimedia/mlt/mlt.SlackBuild99
-rw-r--r--multimedia/mlt/mlt.info10
-rw-r--r--multimedia/mlt/slack-desc19
5 files changed, 146 insertions, 0 deletions
diff --git a/multimedia/mlt/README b/multimedia/mlt/README
new file mode 100644
index 0000000000..686b97fc1b
--- /dev/null
+++ b/multimedia/mlt/README
@@ -0,0 +1,10 @@
+MLT is an open source multimedia framework, designed and developed for
+television broadcasting. It provides a toolkit for broadcasters, video
+editors, media players, transcoders, web streamers and many more types
+of applications. The functionality of the system is provided via an
+assortment of ready to use tools, XML authoring components, and an
+extensible plug-in based API.
+
+This requires libdv, libsamplerate, and ffmpeg.
+libquicktime is optional but recommended, since it will be needed
+by kdenlive anyway.
diff --git a/multimedia/mlt/doinst.sh b/multimedia/mlt/doinst.sh
new file mode 100644
index 0000000000..e4e6459838
--- /dev/null
+++ b/multimedia/mlt/doinst.sh
@@ -0,0 +1,8 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
diff --git a/multimedia/mlt/mlt.SlackBuild b/multimedia/mlt/mlt.SlackBuild
new file mode 100644
index 0000000000..0455b607a5
--- /dev/null
+++ b/multimedia/mlt/mlt.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/sh
+
+# Slackware build script for mlt.
+
+# Written by stormtracknole - stormtracknole@gmail.com
+
+# Modified by Erik Hanson (erik@slackbuilds.org) with
+# help from Jonathan Larsen (agentc0re@learnix.net)
+
+PRGNAM=mlt
+VERSION=${VERSION:-0.4.10}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-3}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# SWIG Languages:
+if [ "${JAVA:-no}" = "no" ]; then java=""; else java="java"; fi
+if [ "${LUA:-no}" = "no" ]; then lua=""; else lua="lua"; fi
+if [ "${PERL:-no}" = "no" ]; then perl=""; else perl="perl"; fi
+if [ "${PHP:-no}" = "no" ]; then php=""; else php="php"; fi
+if [ "${PYTHON:-yes}" = "yes" ]; then python="python"; else python=""; fi
+if [ "${RUBY:-no}" = "no" ]; then ruby=""; else ruby="ruby"; fi
+if [ "${TCL:-no}" = "no" ]; then tcl=""; else tcl="tcl"; fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --disable-debug \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --qimage-libdir=${QT4DIR}/qt/lib \
+ --qimage-includedir=${QT4DIR}/qt/include \
+ --enable-gpl \
+ --avformat-swscale \
+ --luma-compress \
+ --enable-motion-est \
+ --swig-languages="$java $lua $perl $php $python $ruby $tcl" \
+ --build=$ARCH-slackware-linux
+
+make clean
+CFLAGS="$SLKCFLAGS" CXXFLAGS="$SLKCFLAGS" make
+make install DESTDIR=$PKG
+
+if [ $PYTHON = "yes" ]; then
+ PYTHONSITEPKG=$(python -c "import sys, os; print os.path.join('/usr/lib${LIBDIRSUFFIX}', 'python%s' % sys.version[:3], 'site-packages')")
+ mkdir -p $PKG/$PYTHONSITEPKG
+ cd $TMP/$PRGNAM-$VERSION/src/swig/python
+ cp -a _mlt.so mlt.py mlt_wrap.o $PKG/$PYTHONSITEPKG
+fi
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp AUTHORS ChangeLog NEWS COPYING README GPL \
+$PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/mlt/mlt.info b/multimedia/mlt/mlt.info
new file mode 100644
index 0000000000..1bbe3214cd
--- /dev/null
+++ b/multimedia/mlt/mlt.info
@@ -0,0 +1,10 @@
+PRGNAM="mlt"
+VERSION="0.4.10"
+HOMEPAGE="http://mltframework.org/"
+DOWNLOAD="http://downloads.sourceforge.net/mlt/mlt-0.4.10.tar.gz"
+MD5SUM="7b0ba842277ea0a77e40a15917ab623f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="stormtracknole"
+EMAIL="stormtracknole@gmail.com"
+APPROVED="dsomero"
diff --git a/multimedia/mlt/slack-desc b/multimedia/mlt/slack-desc
new file mode 100644
index 0000000000..ad0cf5b265
--- /dev/null
+++ b/multimedia/mlt/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+mlt: MLT (Open source multimedia framework)
+mlt:
+mlt: MLT is an open source multimedia framework, designed and developed
+mlt: for television broadcasting. It provides a toolkit for broadcasters,
+mlt: video editors, media players, transcoders, web streamers and many
+mlt: more types of applications. The functionality of the system is
+mlt: provided via an assortment of ready to use tools, XML authoring
+mlt: components, and an extensible plug-in based API.
+mlt:
+mlt: Homepage: http://www.mltframework.org/twiki/bin/view/MLT/
+mlt: